# 星表数据查询

## 概述

`csst_dfs_client.catalog` 模块提供了一个 `search` 函数，用于根据给定的参数，使用锥形检索指定范围内的天体数据。

## 使用示例

```python
from csst_dfs_client import catalog

# 查询参数
ra = 90  # 天体赤经（以度为单位）
dec = 24.5  # 天体赤纬（以度为单位）
radius = 0.21  # 查询半径（以度为单位）
catalog_name = 'gaia3'  # 星表名称
columns = ['ref_epoch', 'ra', 'ra_error', 'dec', 'dec_error', 'parallax', 'parallax_error', 'pmra', 'pmra_error', 'pmdec', 'pmdec_error', 'phot_g_mean_mag', 'source_id']  # 查询的列名
min_mag = -1  # 最小星等，默认为 -1（无限制）
max_mag = -1  # 最大星等，默认为 -1（无限制）
obstime = -1  # 观测时间，默认为 0（暂无用）
limit = 10  # 查询结果的数量限制，默认为 0（无限制）

# 调用 search 函数进行查询
result = catalog.search(ra=ra, 
        dec=dec, 
        radius=radius, 
        catalog_name=catalog_name, 
        columns=columns, 
        min_mag=min_mag, 
        max_mag=max_mag, 
        obstime=obstime, 
        limit=limit
    )
# 打印查询结果
print(result.data) #result.data为pd.DataFrame对象
```

- [其他接口](./usage.md)
  